module.exports = { encodeChar, encode };

const morseAlphabet =
	'A=.-;B=-...;C=-.-.;D=-..;E=.;F=..-.;G=--.;H=....;I=..;J=.---;K=-.-;L=.-..;M=--;' +
	'N=-.;O=---;P=.--.;Q=--.-;R=.-.;S=...;T=-;U=..-;V=...-;W=.--;X=-..-;Y=-.--;Z=--..';

function encodeChar(char) {
	for (let coding of morseAlphabet.split(';')) {
		let [c, code] = coding.split('=');
		if (c === char) return code;
	}
	return '';
}

function encode(text) {
	return text.toUpperCase().split('').map(char => encodeChar(char)).join('/');
}
